rpms/rdma/F-11 rdma.conf, 1.1, 1.2 rdma.ifup-ib, 1.1, 1.2 rdma.init, 1.1, 1.2 rdma.spec, 1.3, 1.4

Doug Ledford dledford at fedoraproject.org
Wed Dec 2 00:23:15 UTC 2009


Author: dledford

Update of /cvs/extras/rpms/rdma/F-11
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv29255

Modified Files:
	rdma.conf rdma.ifup-ib rdma.init rdma.spec 
Log Message:
* Tue Dec 01 2009 Doug Ledford <dledford at redhat.com> - 1.0-6
- Tweak init script for LSB compliance
- Tweak ifup-ib script to work properly with bonded slaves that need their
  MTU set
- Tweak ifup-ib script to properly change connected mode either on or off
  instead of only setting it on but not turning it off if the setting changes



Index: rdma.conf
===================================================================
RCS file: /cvs/extras/rpms/rdma/F-11/rdma.conf,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- rdma.conf	27 Jun 2008 17:53:32 -0000	1.1
+++ rdma.conf	2 Dec 2009 00:23:14 -0000	1.2
@@ -4,9 +4,12 @@ IPOIB_LOAD=yes
 SRP_LOAD=no
 # Load iSER module
 ISER_LOAD=no
-# Load QLogic VNIC module
-QLGC_VNIC_LOAD=no
+# Load RDS network protocol
+LOAD_RDS=yes
 # Should we modify the system mtrr registers?  We may need to do this if you
 # get messages from the ib_ipath driver saying that it couldn't enable
 # write combining for the PIO buffs on the card.
+#
+# Note: recent kernels should do this for us, but in case they don't, we'll
+# leave this option
 FIXUP_MTRR_REGS=no


Index: rdma.ifup-ib
===================================================================
RCS file: /cvs/extras/rpms/rdma/F-11/rdma.ifup-ib,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- rdma.ifup-ib	9 Oct 2008 13:21:39 -0000	1.1
+++ rdma.ifup-ib	2 Dec 2009 00:23:14 -0000	1.2
@@ -63,8 +63,28 @@ if [ -n "${MACADDR}" ]; then
    ip link set dev ${DEVICE} address ${MACADDR}
 fi
 
-# Bonding on IPoIB interfaces doesn't work yet, but it's planned.  Leave
-# the code to handle it in place for when the kernel is ready.
+# First, do we even support setting connected mode?
+if [ -e /sys/class/net/${DEVICE}/mode ]; then
+    # OK, set the mode in all cases, that way it gets reset on a down/up
+    # cycle, allowing people to change the mode without rebooting
+    if [ "${CONNECTED_MODE}" = yes ]; then
+        echo connected > /sys/class/net/${DEVICE}/mode
+	# cap the MTU where we should based upon mode
+	if [ -n "${MTU}" -a $MTU -gt 65520 ]; then
+	    MTU=65520
+	fi
+    else
+        echo datagram > /sys/class/net/${DEVICE}/mode
+	# cap the MTU where we should based upon mode
+	if [ -n "${MTU}" -a $MTU -gt 2044 ]; then
+	    MTU=2044
+	fi
+    fi
+fi
+
+if [ -n "${MTU}" ]; then
+    ip link set dev ${DEVICE} mtu ${MTU}
+fi
 
 # slave device?
 if [ "${SLAVE}" = yes -a "${ISALIAS}" = no -a "${MASTER}" != "" ]; then
@@ -117,16 +137,6 @@ if [ "$ISALIAS" = no ] && is_bonding_dev
     done
 fi
 
-# We have to set connected mode before we set the MTU since connected mode
-# changes our maximum allowed MTU
-if [ "${CONNECTED_MODE}" = yes -a -e /sys/class/net/${DEVICE}/mode ]; then
-    echo connected > /sys/class/net/${DEVICE}/mode
-fi
-
-if [ -n "${MTU}" ]; then
-   ip link set dev ${DEVICE} mtu ${MTU}
-fi
-
 		     
 if [ -n "${DYNCONFIG}" -a -x /sbin/dhclient ]; then
     # Remove any temporary references which were previously added to dhclient config


Index: rdma.init
===================================================================
RCS file: /cvs/extras/rpms/rdma/F-11/rdma.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- rdma.init	27 Jun 2008 17:53:32 -0000	1.1
+++ rdma.init	2 Dec 2009 00:23:14 -0000	1.2
@@ -26,10 +26,18 @@ LOAD_CORE_MODULES="ib_core ib_mad ib_sa 
 if [ -f $CONFIG ]; then
     . $CONFIG
 
+    if [ "${RDS_LOAD}" == "yes" ]; then
+        IPOIB_LOAD=yes
+    fi
+
     if [ "${IPOIB_LOAD}" == "yes" ]; then
 	LOAD_ULP_MODULES="ib_ipoib"
     fi
 
+    if [ "${RDS_LOAD}" == "yes" ]; then
+	LOAD_ULP_MODULES="$LOAD_ULP_MODULES rds"
+    fi
+
     if [ "${SRP_LOAD}" == "yes" ]; then
 	LOAD_ULP_MODULES="$LOAD_ULP_MODULES ib_srp"
     fi
@@ -41,7 +49,7 @@ else
     LOAD_ULP_MODULES="ib_ipoib"
 fi
 
-UNLOAD_ULP_MODULES="ib_iser ib_srp ib_ipoib"
+UNLOAD_ULP_MODULES="ib_iser ib_srp rds ib_ipoib"
 UNLOAD_HW_MODULES="iw_c2 iw_cxgb3 iw_nes ib_ehca ib_ipath ib_mthca mlx4_ib"
 UNLOAD_CORE_USER_MODULES="rdma_ucm ib_ucm ib_uverbs ib_umad"
 UNLOAD_CORE_CM_MODULES="rdma_cm ib_cm iw_cm"
@@ -276,15 +284,6 @@ stop()
 	fi
     done
 
-    if is_module qlgc_vnic; then
-	echo
-	echo "The qlgc_vnic service is still running."
-	echo "Please stop all RDMA applications before downing the stack."
-	echo_failure
-	echo
-	return 1
-    fi
-
     if ! is_module ib_core; then
 	# Nothing to do, make sure lock file is gone and return
 	rm -f /var/lock/subsys/rdma
@@ -297,9 +296,13 @@ stop()
     if is_module ib_ipoib; then
 	for i in $interfaces
 	do
+	    . /etc/sysconfig/network-scripts/ifcfg-$i
+	    [ "${SLAVE}" = yes -a "${MASTER}" ] && ifdown ${MASTER} >/dev/null 2>&1
 	    ifdown $i > /dev/null 2>&1
 	done    
     fi
+    # Small sleep to let the ifdown settle before we remove any modules
+    sleep 1
 	
     # Unload OpenIB modules
     MODULES="$UNLOAD_ULP_MODULES $UNLOAD_CORE_USER_MODULES"
@@ -443,6 +446,11 @@ usage ()
 }
 
 case $1 in
+    start|stop|restart|condrestart|try-restart|force-reload)
+	[ `id -u` != "0" ] && exit 4 ;;
+esac
+
+case $1 in
     start) start; RC=$? ;;
     stop) stop; RC=$? ;;
     restart) restart; RC=$? ;;


Index: rdma.spec
===================================================================
RCS file: /cvs/extras/rpms/rdma/F-11/rdma.spec,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -p -r1.3 -r1.4
--- rdma.spec	25 Feb 2009 19:18:14 -0000	1.3
+++ rdma.spec	2 Dec 2009 00:23:14 -0000	1.4
@@ -6,7 +6,7 @@
 Summary: Infiniband/iWARP Kernel Module Initializer
 Name: rdma
 Version: 1.0
-Release: 4%{?dist}
+Release: 6%{?dist}
 License: GPLv2+
 Group: System Environment/Base
 Source0: rdma.conf
@@ -62,6 +62,16 @@ fi
 %{_sysconfdir}/sysconfig/network-scripts/ifup-ib
 
 %changelog
+* Tue Dec 01 2009 Doug Ledford <dledford at redhat.com> - 1.0-6
+- Tweak init script for LSB compliance
+- Tweak ifup-ib script to work properly with bonded slaves that need their
+  MTU set
+- Tweak ifup-ib script to properly change connected mode either on or off
+  instead of only setting it on but not turning it off if the setting changes
+
+* Sun Jul 26 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 1.0-5
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
+
 * Wed Feb 25 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 1.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 




More information about the fedora-extras-commits mailing list